=== debian/changelog ===
dynarmic (5.150.gea08a389+ds-1) unstable; urgency=medium

  * New upstream version 5.150.gea08a389+ds
  * d/tests: add autopkgtests

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 24 Feb 2022 13:42:50 +0100

dynarmic (5.135.g0cafcc1a+ds-1) unstable; urgency=medium

  * New upstream version 5.135.g0cafcc1a. Closes: #1003468

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 12 Jan 2022 22:27:23 +0100

dynarmic (5.132.gad5465d6+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/control: depend on xbyak also on x32
  * d/control: add Vcs fields
  * d/watch: follow upstream master branch

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 03 Jan 2022 18:24:43 +0100

dynarmic (5.128.g4dcebc18+ds-1) unstable; urgency=low

  * Initial release. Closes: #995917

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 14 Nov 2021 12:35:09 +0100
