=== debian/watch ===
# Currently tracking upstream master
#version=4
#opts="filenamemangle=s/.+\/r@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/, \
#  pgpmode=none, \
#  repacksuffix=+ds, \
#  dversionmangle=auto" \
#https://github.com/merryhime/dynarmic/tags .*/r@ANY_VERSION@\.tar\.gz

version=4
opts="mode=git, \
  pgpmode=none, \
  pretty=describe, \
  repacksuffix=+ds, \
  dversionmangle=auto, \
  uversionmangle=s/r@ANY_VERSION@/$1/" \
https://github.com/merryhime/dynarmic.git \
HEAD debian uupdate
