## dynarmic 6.2.3+ds

=== debian/changelog ===
dynarmic (6.2.3+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:04:10 +0000

dynarmic (6.2.3+ds-1) unstable; urgency=medium

  * New upstream version 6.2.3+ds
    - fmtlib 9.0.0 is now supported. Closes: #1014674

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 28 Jul 2022 12:50:19 +0200

dynarmic (6.2.1+ds-1) unstable; urgency=medium

  * New upstream version 6.2.1+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 23 Jul 2022 17:08:36 +0200

dynarmic (6.0.0+ds-1) unstable; urgency=medium

  * New upstream version 6.0.0+ds
  * d/watch: track stable releases

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 22 Jun 2022 16:19:53 +0200

dynarmic (5.204.g57af72a5+ds-1) unstable; urgency=medium

  * New upstream version 5.204.g57af72a5+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 19 Apr 2022 23:06:39 +0200

dynarmic (5.196.g27bbf450+ds-1) unstable; urgency=medium

  * New upstream version 5.196.g27bbf450+ds
  * d/rules: use CMake LTO instead of dpkg-buildflags'

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 18 Apr 2022 20:11:00 +0200

dynarmic (5.187.g9cadab8f+ds-1) unstable; urgency=medium

  * New upstream version 5.187.g9cadab8f+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 30 Mar 2022 21:39:23 +0200

dynarmic (5.163.ge4b669fd+ds-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Move Vcs-* fields to debian namespace

  [ Andrea Pappacoda ]
  * New upstream version 5.163.ge4b669fd+ds
  * d/patches: remove upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 13 Mar 2022 22:11:31 +0100
