=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all
-export LC_ALL = C.UTF-8
+# optimize=+all,-lto because I use CMake's LTO support
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+all,-lto qa=+all
+# Added by qa=bug, triggers some false positives in xbyak
+export DEB_CXXFLAGS_MAINT_STRIP = -Werror=array-bounds
 
 %:
 	dh $@
@@ -15,4 +17,6 @@
 		-DDYNARMIC_NO_BUNDLED_ROBIN_MAP=ON \
 		-DDYNARMIC_NO_BUNDLED_VIXL=ON \
 		-DDYNARMIC_NO_BUNDLED_XBYAK=ON \
-		-DDYNARMIC_NO_BUNDLED_ZYDIS=ON
+		-DDYNARMIC_NO_BUNDLED_ZYDIS=ON \
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DCMAKE_POLICY_DEFAULT_CMP0069=NEW
