## dynarmic 6.3.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.8)
-project(dynarmic LANGUAGES C CXX ASM VERSION 6.2.3)
+cmake_minimum_required(VERSION 3.12)
+project(dynarmic LANGUAGES C CXX ASM VERSION 6.3.0)
 
 # Determine if we're built as a subproject (using add_subdirectory)
 # or if this is the master project.
@@ -45,7 +45,6 @@
 # Compiler flags
 if (MSVC)
     set(DYNARMIC_CXX_FLAGS
-        /std:c++latest # CMAKE_CXX_STANDARD has no effect on MSVC until CMake 3.10.
         /experimental:external
         /external:W0
         /external:anglebrackets
