=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     target_sources(dynarmic_tests PRIVATE
         A32/test_arm_disassembler.cpp
         A32/test_arm_instructions.cpp
+        A32/test_coprocessor.cpp
         A32/test_thumb_instructions.cpp
         A32/testenv.h
         decoder_tests.cpp
@@ -83,6 +84,21 @@
     target_compile_definitions(dynarmic_print_info PRIVATE FMT_USE_USER_DEFINED_LITERALS=1)
 endif()
 
+if ("A32" IN_LIST DYNARMIC_FRONTENDS)
+    add_executable(dynarmic_test_generator
+        fuzz_util.cpp
+        fuzz_util.h
+        test_generator.cpp
+    )
+
+    create_target_directory_groups(dynarmic_test_generator)
+
+    target_link_libraries(dynarmic_test_generator PRIVATE dynarmic boost catch fmt)
+    target_include_directories(dynarmic_test_generator PRIVATE . ../src)
+    target_compile_options(dynarmic_test_generator PRIVATE ${DYNARMIC_CXX_FLAGS})
+    target_compile_definitions(dynarmic_test_generator PRIVATE FMT_USE_USER_DEFINED_LITERALS=1)
+endif()
+
 create_target_directory_groups(dynarmic_tests)
 
 target_link_libraries(dynarmic_tests PRIVATE dynarmic boost catch fmt)
