=== debian/changelog ===
dynarmic (6.3.0+ds-2) unstable; urgency=medium

  * d/rules: fix arm64 build

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 22 Nov 2022 09:48:48 +0100

dynarmic (6.3.0+ds-1) unstable; urgency=medium

  * New upstream version 6.3.0+ds
  * d/control: build on arm64
  * d/copyright: remove vixl from Files-Excluded

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Nov 2022 01:38:12 +0100
