=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,26 @@
 %:
 	dh $@
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  test := true
+else
+  test := false
+endif
+
+ifeq ($(DEB_HOST_ARCH), arm64)
+  extra_args := -DDYNARMIC_FRONTENDS=A32
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=ON \
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DCMAKE_POLICY_DEFAULT_CMP0069=NEW \
 		-DDYNARMIC_IGNORE_ASSERTS=ON \
 		-DDYNARMIC_NO_BUNDLED_CATCH=ON \
 		-DDYNARMIC_NO_BUNDLED_FMT=ON \
 		-DDYNARMIC_NO_BUNDLED_ROBIN_MAP=ON \
-		-DDYNARMIC_NO_BUNDLED_VIXL=ON \
 		-DDYNARMIC_NO_BUNDLED_XBYAK=ON \
 		-DDYNARMIC_NO_BUNDLED_ZYDIS=ON \
-		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DCMAKE_POLICY_DEFAULT_CMP0069=NEW
+		-DDYNARMIC_TESTS=$(test) \
+		$(extra_args)
