## dynarmic 6.3.1+ds

=== debian/changelog ===
dynarmic (6.3.1+ds-2) unstable; urgency=medium

  * d/control: depend on Zydis 4.0.0 or newer

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 24 Nov 2022 11:21:59 +0100

dynarmic (6.3.1+ds-1) unstable; urgency=medium

  * New upstream version 6.3.1+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 23 Nov 2022 22:09:18 +0100
