=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libboost-dev,
                libfmt-dev,
                libxbyak-dev [any-amd64],
-               libzydis-dev,
+               libzydis-dev (>= 4.0.0),
                pkg-config,
                robin-map-dev
 Standards-Version: 4.6.1
